### Name: lmHmat
### Title: Total and Effect Deviation Matrices for Linear Regression and
###   Canonical Correlation Analysis
### Aliases: lmHmat lmHmat.default lmHmat.formula lmHmat.data.frame
### Keywords: manip

### ** Examples

##------------------------------------------------------------------

## 1)  An example of subset selection in the context of Multiple
## Linear Regression. Variable 5 (average price) in the Cars93 MASS
## library is to be regressed on 13 other  variables.  The goal is to
## compare subsets of these 13 variables according to their  ability
## to predict car prices. 

library(MASS)
data(Cars93)
lmHmat(Cars93[c(7:8,12:15,17:22,25)],Cars93[5])

## 2)  An example of subset selection in the context of Canonical
## Correlation Analysis. Two groups of variables within the Cars93
## MASS library data set are compared. The first group (variables 4th,
## 5th and 6th) relates to price, while the second group is formed by 13
## variables that describe several technical car specifications. The
## goal is to select subsets of the second group that are optimal in
## terms of preserving the canonical correlations with the variables in
## the first group (Warning: the 3-variable "response" group is kept
## intact; subset selection is to be performed only in the 13-variable
## group).  

library(MASS)
data(Cars93)
lmHmat(Cars93[c(7:8,12:15,17:22,25)],Cars93[4:6])



